# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
WANT_AUTOMAKE=1.15

COMMIT="9fc5afde68a6b95ab10caa0305a63252f53f16c0"
inherit autotools

DESCRIPTION="C library for scanning audio/video/image file metadata"
HOMEPAGE="https://github.com/andygrundman/libmediascan"
SRC_URI="https://github.com/andygrundman/libmediascan/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"

SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~x64-macos"
IUSE="doc"

DEPEND="media-video/ffmpeg
        media-libs/giflib
        media-libs/libjpeg-turbo
        media-libs/libpng
        media-libs/libexif"
RDEPEND=""

S=${WORKDIR}/${PN}-${COMMIT}

src_prepare() {
	default
	eautoreconf
	eautomake --add-missing
}

src_install() {
	emake DESTDIR="${D}" includedir=/usr/include/${PN} install
}