#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

description="Logitech Media Server"

LMS_USER="logitechmediaserver"
LMS_GROUP="logitechmediaserver"
serverlog="/var/log/logitechmediaserver/server.log"
scannerlog="/var/log/logitechmediaserver/scanner.log"
perfmonlog="/var/log/logitechmediaserver/perfmon.log"

command_args_background="--daemon --pidfile=/run/logitechmediaserver.pid"

command="/usr/sbin/logitechmediaserver"
command_args="
	--user=$LMS_USER
	--group=$LMS_GROUP
        ${LMS_OPTS}
"

pidfile=/run/logitechmediaserver.pid

depend() {
    need localmount net
}

start_pre() {
    checkpath --file --owner $LMS_USER:$LMS_GROUP --mode 0644 $serverlog
    checkpath --file --owner $LMS_USER:$LMS_GROUP --mode 0644 $scannerlog
    checkpath --file --owner $LMS_USER:$LMS_GROUP --mode 0644 $perfmonlog
}
